Term (Package com.ericsson.otp.ic version 4.2.27)
Date: 2011-10-06

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class Term

    java.lang.Object
      com.ericsson.otp.ic.Any
          com.ericsson.otp.ic.Term

    public final class Term

extends Any

The Term class is intended to represent the erlang term generic type. It extends the Any class and is basically used the same way as the Any class.

The main difference between Term and Any is the use of guard methods instead for TypeCode to determine the data included in the Term. This actual when cannot determine a Term's value class returned at compile time.

Constructor Summary
`Term()`

Method Summary
`boolean` | `equal(Term _any)` Term comparison method
`java.lang.String` | `extract_atom()` Atom value extractor method
`boolean` | `extract_boolean()` Boolean value extractor method
`char` | `extract_char()` Char value extractor method
`double` | `extract_double()` Double value extractor method
`float` | `extract_float()` Float value extractor method
`int` | `extract_long()` Long value extractor method
`long` | `extract_longlong()` Long Long value extractor method
`com.ericsson.otp.erlang.OtpErlangObject` | `extract_Object()` Extract Object value from Term
`byte` | `extract_octet()` Octet value extractor method
`Pid` | `extract_Pid()` Pid value extractor method
`Port` | `extract_Port()` Port value extractor method
`Ref` | `extract_Ref()` Ref value extractor method
`short` | `extract_short()` Short value extractor method
`com.ericsson.otp.erlang.OtpInputStream` | `extract_Streamable()` Object Stream extractor method
`java.lang.String` | `extract_string()` String value extractor method
`int` | `extract_ulong()` Unsigned Long value extractor method
`long` | `extract_ulonglong()` Unsigned Long Long value extractor method
`short` | `extract_ushort()` Unsigned Short value extractor method
`char` | `extract_wchar()` Wchar value extractor method
`java.lang.String` | `extract_wstring()` Wstring value extractor method
`void` | `insert_atom(java.lang.String s)` Atom value insertion method
`void` | `insert_boolean(boolean b)` Boolean value insertion method
`void` | `insert_char(char c)` Char value insertion method
`void` | `insert_char(long l)` Char value insertion method
`void` | `insert_double(double d)` Double value insertion method
`void` | `insert_float(double f)` Float value insertion method
`void` | `insert_float(float f)` Float value insertion method
`void` | `insert_long(int i)` Long value insertion method
`void` | `insert_long(long l)` Long value insertion method
`void` | `insert_longlong(long l)` Long Long value insertion method
`void` | `insert_Object(com.ericsson.otp.erlang.OtpErlangObject o)` Inserts Objects to Term
`void` | `insert_octet(byte b)` Octet value insertion method
`void` | `insert_octet(long l)` Octet value insertion method
`void` | `insert_Pid(Pid p)` Pid value insertion method
`void` | `insert_Port(Port p)` Port value insertion method
`void` | `insert_Ref(Ref r)` Ref value insertion method
`void` | `insert_short(long l)` Short value insertion method
`void` | `insert_short(short s)` Short value insertion method
`void` | `insert_string(java.lang.String s)` String value insertion method
`void` | `insert_ulong(int i)` Unsigned Long value insertion method
`void` | `insert_ulong(long l)` Unsigned Long value insertion method
`void` | `insert_ulonglong(long l)` Unsigned Long Long value insertion method
`void` | `insert_ushort(long l)` Unsigned Short value insertion method
`void` | `insert_ushort(short s)` Unsigned Short value insertion method
`void` | `insert_wchar(char c)` Wchar value insertion method
`void` | `insert_wchar(long l)` Wchar value insertion method
`void` | `insert_wstring(java.lang.String s)` Wstring value insertion method
`boolean` | `isAtom()` Guard method
`boolean` | `isBinary()` Guard method
`boolean` | `isConstant()` Guard method
`boolean` | `isFloat()` Guard method
`boolean` | `isInteger()` Guard method
`boolean` | `isList()` Guard method
`boolean` | `isNumber()` Guard method
`boolean` | `isPid()` Guard method
`boolean` | `isPort()` Guard method
`boolean` | `isReference()` Guard method
`boolean` | `isString()` Guard method
`boolean` | `isTuple()` Guard method
`int` | `tag()` Tag accessor method
`void` | `write_value(com.ericsson.otp.erlang.OtpOutputStream _os)` Writes the value of Term to a stream

Methods inherited from class com.ericsson.otp.ic.Any
`equal, insert_Streamable, read_value, type, type`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Term

    public Term()

Method Detail

### tag

    public int tag()

  Tag accessor method

  Returns:
    int, the tag of the Object that denotes the erlang external format tag

### isAtom

    public boolean isAtom()

  Guard method

  Returns:
    true if the Term is an OtpErlangAtom, false otherwize

### isConstant

    public boolean isConstant()

  Guard method

  Returns:
    true if the Term is not an OtpErlangList nor an OtpErlangTuple, false otherwize

### isFloat

    public boolean isFloat()

  Guard method

  Returns:
    true if the Term is an OtpErlangFloat, false otherwize

### isInteger

    public boolean isInteger()

  Guard method

  Returns:
    true if the Term is an OtpErlangInt, false otherwize

### isList

    public boolean isList()

  Guard method

  Returns:
    true if the Term is an OtpErlangList, false otherwize

### isString

    public boolean isString()

  Guard method

  Returns:
    true if the Term is an OtpErlangString, false otherwize

### isNumber

    public boolean isNumber()

  Guard method

  Returns:
    true if the Term is an OtpErlangInteger or an OtpErlangFloat, false otherwize

### isPid

    public boolean isPid()

  Guard method

  Returns:
    true if the Term is an OtpErlangPid or Pid, false otherwize

### isPort

    public boolean isPort()

  Guard method

  Returns:
    true if the Term is an OtpErlangPort or Port, false otherwize

### isReference

    public boolean isReference()

  Guard method

  Returns:
    true if the Term is an OtpErlangRef, false otherwize

### isTuple

    public boolean isTuple()

  Guard method

  Returns:
    true if the Term is an OtpErlangTuple, false otherwize

### isBinary

    public boolean isBinary()

  Guard method

  Returns:
    true if the Term is an OtpErlangBinary, false otherwize

### equal

    public boolean equal(Term _any)

  Term comparison method

  Returns:
    true if the input Term is equal to the object, false otherwize

### write_value

    public void write_value(com.ericsson.otp.erlang.OtpOutputStream _os)
                     throws java.lang.Exception

  Writes the value of Term to a stream

  Overrides:
    `write_value` in class `Any`
  Throws:
    `java.lang.Exception`

### extract_short

    public short extract_short()
                        throws java.lang.Exception

  Short value extractor method

  Overrides:
    `extract_short` in class `Any`
  Returns:
    short, the value of Term
  Throws:
    `java.lang.Exception`

### insert_short

    public void insert_short(short s)

  Short value insertion method

  Overrides:
    `insert_short` in class `Any`

### insert_short

    public void insert_short(long l)

  Short value insertion method

### extract_long

    public int extract_long()
                     throws java.lang.Exception

  Long value extractor method

  Overrides:
    `extract_long` in class `Any`
  Returns:
    int, the value of Term
  Throws:
    `java.lang.Exception`

### insert_long

    public void insert_long(int i)

  Long value insertion method

  Overrides:
    `insert_long` in class `Any`

### insert_long

    public void insert_long(long l)

  Long value insertion method

### extract_longlong

    public long extract_longlong()
                          throws java.lang.Exception

  Long Long value extractor method

  Overrides:
    `extract_longlong` in class `Any`
  Returns:
    long, the value of Term
  Throws:
    `java.lang.Exception`

### insert_longlong

    public void insert_longlong(long l)

  Long Long value insertion method

  Overrides:
    `insert_longlong` in class `Any`

### extract_ushort

    public short extract_ushort()
                         throws java.lang.Exception

  Unsigned Short value extractor method

  Overrides:
    `extract_ushort` in class `Any`
  Returns:
    short, the value of Term
  Throws:
    `java.lang.Exception`

### insert_ushort

    public void insert_ushort(short s)

  Unsigned Short value insertion method

  Overrides:
    `insert_ushort` in class `Any`

### insert_ushort

    public void insert_ushort(long l)

  Unsigned Short value insertion method

### extract_ulong

    public int extract_ulong()
                      throws java.lang.Exception

  Unsigned Long value extractor method

  Overrides:
    `extract_ulong` in class `Any`
  Returns:
    int, the value of Term
  Throws:
    `java.lang.Exception`

### insert_ulong

    public void insert_ulong(int i)

  Unsigned Long value insertion method

  Overrides:
    `insert_ulong` in class `Any`

### insert_ulong

    public void insert_ulong(long l)

  Unsigned Long value insertion method

### extract_ulonglong

    public long extract_ulonglong()
                           throws java.lang.Exception

  Unsigned Long Long value extractor method

  Overrides:
    `extract_ulonglong` in class `Any`
  Returns:
    long, the value of Term
  Throws:
    `java.lang.Exception`

### insert_ulonglong

    public void insert_ulonglong(long l)

  Unsigned Long Long value insertion method

  Overrides:
    `insert_ulonglong` in class `Any`

### extract_float

    public float extract_float()
                        throws java.lang.Exception

  Float value extractor method

  Overrides:
    `extract_float` in class `Any`
  Returns:
    float, the value of Term
  Throws:
    `java.lang.Exception`

### insert_float

    public void insert_float(float f)

  Float value insertion method

  Overrides:
    `insert_float` in class `Any`

### insert_float

    public void insert_float(double f)

  Float value insertion method

### extract_double

    public double extract_double()
                          throws java.lang.Exception

  Double value extractor method

  Overrides:
    `extract_double` in class `Any`
  Returns:
    double, the value of Term
  Throws:
    `java.lang.Exception`

### insert_double

    public void insert_double(double d)

  Double value insertion method

  Overrides:
    `insert_double` in class `Any`

### extract_boolean

    public boolean extract_boolean()
                            throws java.lang.Exception

  Boolean value extractor method

  Overrides:
    `extract_boolean` in class `Any`
  Returns:
    boolean, the value of Term
  Throws:
    `java.lang.Exception`

### insert_boolean

    public void insert_boolean(boolean b)

  Boolean value insertion method

  Overrides:
    `insert_boolean` in class `Any`

### extract_char

    public char extract_char()
                      throws java.lang.Exception

  Char value extractor method

  Overrides:
    `extract_char` in class `Any`
  Returns:
    char, the value of Term
  Throws:
    `java.lang.Exception`

### insert_char

    public void insert_char(char c)

  Char value insertion method

  Overrides:
    `insert_char` in class `Any`

### insert_char

    public void insert_char(long l)

  Char value insertion method

### extract_wchar

    public char extract_wchar()
                       throws java.lang.Exception

  Wchar value extractor method

  Overrides:
    `extract_wchar` in class `Any`
  Returns:
    char, the value of Term
  Throws:
    `java.lang.Exception`

### insert_wchar

    public void insert_wchar(char c)

  Wchar value insertion method

  Overrides:
    `insert_wchar` in class `Any`

### insert_wchar

    public void insert_wchar(long l)

  Wchar value insertion method

### extract_octet

    public byte extract_octet()
                       throws java.lang.Exception

  Octet value extractor method

  Overrides:
    `extract_octet` in class `Any`
  Returns:
    byte, the value of Term
  Throws:
    `java.lang.Exception`

### insert_octet

    public void insert_octet(byte b)

  Octet value insertion method

  Overrides:
    `insert_octet` in class `Any`

### insert_octet

    public void insert_octet(long l)

  Octet value insertion method

### extract_string

    public java.lang.String extract_string()
                                    throws java.lang.Exception

  String value extractor method

  Overrides:
    `extract_string` in class `Any`
  Returns:
    String, the value of Term
  Throws:
    `java.lang.Exception`

### insert_string

    public void insert_string(java.lang.String s)

  String value insertion method

  Overrides:
    `insert_string` in class `Any`

### extract_wstring

    public java.lang.String extract_wstring()
                                     throws java.lang.Exception

  Wstring value extractor method

  Overrides:
    `extract_wstring` in class `Any`
  Returns:
    String, the value of Term
  Throws:
    `java.lang.Exception`

### insert_wstring

    public void insert_wstring(java.lang.String s)

  Wstring value insertion method

  Overrides:
    `insert_wstring` in class `Any`

### extract_atom

    public java.lang.String extract_atom()
                                  throws java.lang.Exception

  Atom value extractor method

  Overrides:
    `extract_atom` in class `Any`
  Returns:
    atom, the value of Term
  Throws:
    `java.lang.Exception`

### insert_atom

    public void insert_atom(java.lang.String s)

  Atom value insertion method

  Overrides:
    `insert_atom` in class `Any`

### extract_Pid

    public Pid extract_Pid()
                    throws java.lang.Exception

  Pid value extractor method

  Returns:
    Pid, the value of Term
  Throws:
    `java.lang.Exception`

### insert_Pid

    public void insert_Pid(Pid p)

  Pid value insertion method

### extract_Ref

    public Ref extract_Ref()
                    throws java.lang.Exception

  Ref value extractor method

  Returns:
    Ref, the value of Term
  Throws:
    `java.lang.Exception`

### insert_Ref

    public void insert_Ref(Ref r)

  Ref value insertion method

### extract_Port

    public Port extract_Port()
                      throws java.lang.Exception

  Port value extractor method

  Returns:
    Port, the value of Term
  Throws:
    `java.lang.Exception`

### insert_Port

    public void insert_Port(Port p)

  Port value insertion method

### extract_Streamable

    public com.ericsson.otp.erlang.OtpInputStream extract_Streamable()

  Object Stream extractor method

  Overrides:
    `extract_Streamable` in class `Any`
  Returns:
    OtpInputStream, the stream value of Term

### insert_Object

    public void insert_Object(com.ericsson.otp.erlang.OtpErlangObject o)

  Inserts Objects to Term

### extract_Object

    public com.ericsson.otp.erlang.OtpErlangObject extract_Object()

  Extract Object value from Term

  Returns:
    OtpErlangObject, the Object value of Term

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD